import 'package:flutter_test/flutter_test.dart';
import 'package:rec_api_dart/src/entities/transactions/pay_in_info.dart';

void main() {
  test('PayInInfo ', () async {
    final data = PayInInfo.fromJson(
      {
        'concept': 'test',
        'name_sender': 'test',
        'amount': 1000,
        'received': 1000,
      },
    );
    expect(data.concept, 'test');
    expect(data.name, 'test');
    expect(data.amount, 1000);
    expect(data.received, 1000);
  });
}
