import 'package:flutter_test/flutter_test.dart';
import 'package:rec_api_dart/src/entities/transactions/currency.ent.dart';
import 'package:rec_api_dart/src/entities/transactions/wallet.ent.dart';

void main() {
  test('Wallet entity handles currency and balance correctly', () async {
    final walletRec = Wallet.fromJson({
      'currency': CurrencyNames.REC,
      'balance': 100000000,
    });
    expect(walletRec.currency, Currency.rec);
    expect(walletRec.balance, 100000000);
    expect(walletRec.getScaledBalance(), 1);
  });
}
